<?php

namespace App\Interfaces\Equipment;

use App\Entities\Customer\ServiceEntity;
use App\Entities\Equipment\ServerEntity;

interface ServerInterface extends EquipmentInterface
{
  public function attachToService(ServiceEntity $service, string $serverinfo_uid, array $formDatas = []): ServerEntity;
  public function detachFromService(string $serverinfo_uid): ServerEntity;
}
